﻿using Android.App;
using Android.OS;
using ThinkGeo.Core;
using ThinkGeo.UI.Android;

namespace AndroidTest
{
    [Activity(Label = "AndroidTest", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        private MapView mapView;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);

            mapView = FindViewById<MapView>(Resource.Id.map1);
            mapView.MinimumScale = 0;

            mapView.ZoomLevelSet = new OpenStreetMapsZoomLevelSet();
            mapView.MapUnit = GeographyUnit.Meter;
            mapView.CurrentExtent = new RectangleShape(-200000, 7000000, 1000000, 5000000);

            OpenStreetMapLayer osmLayer = new OpenStreetMapLayer("ArpentGIS Android");

            LayerOverlay osmLayerOverlay = new LayerOverlay();
            osmLayerOverlay.Layers.Add(osmLayer);
            mapView.Overlays.Add("OSM", osmLayerOverlay);
            mapView.Overlays.MoveToBottom("OSM");

            mapView.RefreshAsync();
        }
    }
}